/*
  USB to JTAG controller for ICE cards

*/

#define __ASSEMBLY__

/* 
  pin definitions on MKRZERO Board
   Analog 0-6  : PA02,PB02,PB03,PA04,PA05,PA06,PA07
   Digital 0-7 : PA22,PA23,PA10,PA11,PB10,PB11,PA20,PA21
*/

#define TCK PORT_PA22     /* D2 - test clock */
#define TMS PORT_PA23     /* D3 - test mode select */
#define TDI PORT_PA10     /* D4 - test data in */
#define TDO PORT_PA11     /* D5 - test data out */

#include "lib/JtagHandlers.h"
#include "lib/SerialHandlers.h"

void setup () {
  setupSerial();
  setupJtag();
}

void loop () {
  processSerial();
}

