/**********************************************
 ICE Proprietary Software - do NOT disseminate
 **********************************************/
/*
  ICE-K8M Controller Defines

  Jeff Schoen
  Innovative Computer Engineering, Inc.
  1/15/2003

*/
`define ICE_PM 1

`define K8M 1
`define VIRTEX8 1
`define JVM 1
`define DMA_NR 4
`define PRC_BCLK 1
`define DMA_PIPE_MIBUS 1
`define BSCAN_SPI_FLASH 1
`define BSCAN_GEN2 1
`define SDRAM4 1
`define SDRAM4X 1
`define PX_LW 0
`define PY_LW 4
`define RIO_BSDRP 1
`define DMA_PKT_2X 1
`define HYP_RIO 1

// this is for the testing of ice400 processor module interface
//`define RIO_GEN3 1

// default core engines
`define ENGINE1 noopengine 
`define ENGINE2 noopengine

// default multicore 1 & 2 engines
`define ENGINE3 mcengine
`define ENGINE4 mcengine
`define MC_ENGINE  tfddengine
`define MC_ENGINES 16
`define MC_COMSTAT 1

// specific processor engine configurations
`ifdef PE_NOOP
  `define ENGINE1 noopengine 
  `define ENGINE2 noopengine
  `define MC_ENGINE3  noopengine
  `define MC_ENGINE4  noopengine
  `define SYS_CLKF 225
  `define MC_ENGINES 4

`elsif PE_DEF
  `define ENGINE1 noopengine
  `define ENGINE2 noopengine
  `define TFDD_XTAPS 1
  `define SYS_CLKF 266

`elsif PE_X2
  `define MC_ENGINES 32
  `define ENGINE1 noopengine
  `define ENGINE2 noopengine
  `define TFDD_XTAPS 1
  `define SYS_CLKF 225

`elsif PE_BOT
  `define R2C_I2X 1
  `define ENGINE1 r2cengine
  `define ENGINE2 r2cengine
  `define BOT_ORDER 10
  `define BOT_I2X 1
  `define ENGINE3 botengine
  `define ENGINE4 botengine
  `define SYS_CLKF 266
  `define SYS_CLKX 266
  `define DMA_NR 16

`elsif PE_BOTX
  `define BOT_ORDER 10
  `define BOT_I2X 1
//  `define ENGINE1 r2cengine
//  `define ENGINE2 r2cengine
  `define ENGINE3 botengine
  `define ENGINE4 noopengine
//  `define ENGINE4 botengine
  `define SYS_CLKF 266
  `define DMA_NR 16

`elsif PE_FFT
  `define ENGINE1 fftengine
  `define ENGINE2 fftengine
  `define ENGINE3 noopengine
  `define ENGINE4 noopengine
  `define SYS_CLKF 250
  `define MC_ENGINES 4
  `define FFT_ORDER 12

`elsif PE_FFTX
  `define ENGINE1 fftengine
  `define ENGINE2 nullengine
  `define ENGINE3 nullengine
  `define ENGINE4 nullengine
  `define SYS_CLKF 250
  `define MC_ENGINES 1
  `define FFT_ORDER 16
  `define FFT_NOPPF 1

`elsif PE_TF
  `define MC_ENGINES 4
  `define TFDD_ORDER 3
  `define TFDD_DMOD
  `define ENGINE1 firengine
  `define ENGINE2 firengine

`elsif PE_TR
  `define MC_ENGINES 4
  `define TFDD_ORDER 3
  `define TFDD_RTAPS 10
  `define TFDD_MDW 8
  `define R2C_TUNER 1
  `define ENGINE1 r2cengine
  `define ENGINE2 r2cengine
  `define SYS_CLKF 200

`elsif PE_QT
  `define MC_ENGINES 4
  `define TFDD_ORDER 3
  `define TFDD_RTAPS 10
  `define TFDD_MDW 8
  `define R2C_TUNER 1
  `define ENGINE1 r2cengine
  `define ENGINE2 r2cengine
  `define SYS_CLKF 225
  `define RIO_QPM 1

`elsif PE_TS
  `define MC_ENGINES 8
  `define TFDD_ORDER 2
  `define TFDD_RTAPS 10
  `define TFDD_MDW 8
  `define ENGINE1 noopengine
  `define ENGINE2 noopengine
  `define SYS_CLKF 200

`elsif PE_TQ
  `define MC_ENGINES 8
  `define TFDD_RTAPS 0 
  `define TFDD_MDW 4
  `define ENGINE1 noopengine
  `define ENGINE2 noopengine
  `define SYS_CLKF 200

`elsif PE_DMOD
  `define ENGINE1 dmodengine
  `define ENGINE2 dmodengine
  `define TFDD_XTAPS 1
  `define SYS_CLKF 166

`elsif PE_TEST
  `define ENGINE1 Test_core
  `define ENGINE2 Test_core
  `define ENGINE3 noopengine
  `define ENGINE4 noopengine

`elsif PE_NULL
  `define ENGINE1 nullengine
  `define ENGINE2 nullengine

`else 
  `include "mdefs_user.h"
`endif

