set_property CFGBVS GND [current_design]
set_property CONFIG_VOLTAGE 1.8 [current_design]
set_property SEVERITY {Warning} [get_drc_checks UCIO-1]
set_property SEVERITY {Warning} [get_drc_checks NSTD-1]
set_property INTERNAL_VREF .84 [get_iobanks 45]
set_property INTERNAL_VREF .84 [get_iobanks 46]
set_property INTERNAL_VREF .84 [get_iobanks 47]
create_clock -name drck2 -period 20.000 [get_nets bsif/drck2]
create_clock -name drck1 -period 20.000 [get_nets spi_clk]
create_clock -name cclkp -period  3.333 [get_nets cclkp]
create_clock -name pclkp -period 10.000 [get_nets pclkp]
create_clock -name qclkp -period 10.000 [get_nets qclkp]
create_clock -name rclkp -period  6.400 [get_nets rclkp]
create_clock -name sclkp -period  6.400 [get_nets sclkp]
create_generated_clock -name gclkf [get_nets sc/lclkf]
create_generated_clock -name gclkx [get_nets sc/lclkx]
create_generated_clock -name gclky [get_nets sc/lclky]
create_generated_clock -name gclks [get_nets sc/lclks]
create_generated_clock -name gclkv [get_nets sc/lclkv]
set_false_path -through [get_nets -match_style ucf swrbus[*]]
set_false_path -through [get_nets -match_style ucf srdbus[*]]
set_false_path -through [get_nets -match_style ucf tport/tpo[*]]
# PCI bus 100MHz clock
set_property PACKAGE_PIN K6 [get_ports pclkp]
set_property PACKAGE_PIN K5 [get_ports pclkn]
# Crystal 100MHz clock
set_property PACKAGE_PIN H6 [get_ports qclkp]
set_property PACKAGE_PIN H5 [get_ports qclkn]
# Crystal 156MHz MGT clock
set_property PACKAGE_PIN AB6 [get_ports rclkp]
set_property PACKAGE_PIN AB5 [get_ports rclkn]
# Crystal 156MHz MGT clock
set_property PACKAGE_PIN Y5 [get_ports sclkp]
set_property PACKAGE_PIN Y6 [get_ports sclkn]
# Crystal 300MHz clock
set_property PACKAGE_PIN D23 [get_ports cclkp]
set_property PACKAGE_PIN D24 [get_ports cclkn]
# NC clock
#NET "dclkp" LOC = "y5" 
#NET "dclkn" LOC = "y6" 
set_property PACKAGE_PIN AK1 [get_ports pyrxn[0]]
set_property PACKAGE_PIN AK2 [get_ports pyrxp[0]]
set_property PACKAGE_PIN AH1 [get_ports pyrxn[1]]
set_property PACKAGE_PIN AH2 [get_ports pyrxp[1]]
set_property PACKAGE_PIN AF1 [get_ports pyrxn[2]]
set_property PACKAGE_PIN AF2 [get_ports pyrxp[2]]
set_property PACKAGE_PIN AD1 [get_ports pyrxn[3]]
set_property PACKAGE_PIN AD2 [get_ports pyrxp[3]]
set_property PACKAGE_PIN AB1 [get_ports pyrxn[4]]
set_property PACKAGE_PIN AB2 [get_ports pyrxp[4]]
set_property PACKAGE_PIN Y1 [get_ports pyrxn[5]]
set_property PACKAGE_PIN Y2 [get_ports pyrxp[5]]
set_property PACKAGE_PIN V1 [get_ports pyrxn[6]]
set_property PACKAGE_PIN V2 [get_ports pyrxp[6]]
set_property PACKAGE_PIN T1 [get_ports pyrxn[7]]
set_property PACKAGE_PIN T2 [get_ports pyrxp[7]]
set_property PACKAGE_PIN AJ3 [get_ports pytxn[0]]
set_property PACKAGE_PIN AJ4 [get_ports pytxp[0]]
set_property PACKAGE_PIN AH5 [get_ports pytxn[1]]
set_property PACKAGE_PIN AH6 [get_ports pytxp[1]]
set_property PACKAGE_PIN AG3 [get_ports pytxn[2]]
set_property PACKAGE_PIN AG4 [get_ports pytxp[2]]
set_property PACKAGE_PIN AE3 [get_ports pytxn[3]]
set_property PACKAGE_PIN AE4 [get_ports pytxp[3]]
set_property PACKAGE_PIN AC3 [get_ports pytxn[4]]
set_property PACKAGE_PIN AC4 [get_ports pytxp[4]]
set_property PACKAGE_PIN AA3 [get_ports pytxn[5]]
set_property PACKAGE_PIN AA4 [get_ports pytxp[5]]
set_property PACKAGE_PIN W3 [get_ports pytxn[6]]
set_property PACKAGE_PIN W4 [get_ports pytxp[6]]
set_property PACKAGE_PIN U3 [get_ports pytxn[7]]
set_property PACKAGE_PIN U4 [get_ports pytxp[7]]
# Memory Bank
set_property PACKAGE_PIN B29 [get_ports ma[0]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[0]]
set_property PACKAGE_PIN A27 [get_ports ma[1]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[1]]
set_property PACKAGE_PIN A28 [get_ports ma[2]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[2]]
set_property PACKAGE_PIN B27 [get_ports ma[3]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[3]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[3]]
set_property PACKAGE_PIN C29 [get_ports ma[4]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[4]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[4]]
set_property PACKAGE_PIN F27 [get_ports ma[5]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[5]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[5]]
set_property PACKAGE_PIN B30 [get_ports ma[6]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[6]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[6]]
set_property PACKAGE_PIN C27 [get_ports ma[7]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[7]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[7]]
set_property PACKAGE_PIN A30 [get_ports ma[8]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[8]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[8]]
set_property PACKAGE_PIN B26 [get_ports ma[9]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[9]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[9]]
set_property PACKAGE_PIN D29 [get_ports ma[10]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[10]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[10]]
set_property PACKAGE_PIN A29 [get_ports ma[11]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[11]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[11]]
set_property PACKAGE_PIN C28 [get_ports ma[12]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[12]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[12]]
set_property PACKAGE_PIN C26 [get_ports ma[13]]
set_property IOSTANDARD SSTL12_DCI [get_ports ma[13]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports ma[13]]
set_property PACKAGE_PIN D30 [get_ports mba[0]]
set_property IOSTANDARD SSTL12_DCI [get_ports mba[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mba[0]]
set_property PACKAGE_PIN G27 [get_ports mba[1]]
set_property IOSTANDARD SSTL12_DCI [get_ports mba[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mba[1]]
set_property PACKAGE_PIN E30 [get_ports mba[2]]
set_property IOSTANDARD SSTL12_DCI [get_ports mba[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mba[2]]
set_property PACKAGE_PIN E28 [get_ports mcs]
set_property IOSTANDARD SSTL12_DCI [get_ports mcs]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mcs]
set_property PACKAGE_PIN E27 [get_ports mrst]
set_property IOSTANDARD LVCMOS12 [get_ports mrst]
set_property DRIVE 8 [get_ports mrst]
set_property PULLDOWN TRUE [get_ports mrst]
set_property PACKAGE_PIN F29 [get_ports mact]
set_property IOSTANDARD SSTL12_DCI [get_ports mact]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mact]
set_property PACKAGE_PIN H27 [get_ports mcas]
set_property IOSTANDARD SSTL12_DCI [get_ports mcas]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mcas]
set_property PACKAGE_PIN F28 [get_ports mras]
set_property IOSTANDARD SSTL12_DCI [get_ports mras]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mras]
set_property PACKAGE_PIN F30 [get_ports mwe]
set_property IOSTANDARD SSTL12_DCI [get_ports mwe]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mwe]
set_property PACKAGE_PIN G30 [get_ports mcke]
set_property IOSTANDARD SSTL12_DCI [get_ports mcke]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mcke]
set_property PACKAGE_PIN H29 [get_ports mckn]
set_property IOSTANDARD DIFF_SSTL12_DCI [get_ports mckn]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mckn]
set_property PACKAGE_PIN H28 [get_ports mckp]
set_property IOSTANDARD DIFF_SSTL12_DCI [get_ports mckp]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mckp]
set_property PACKAGE_PIN G29 [get_ports modt]
set_property IOSTANDARD SSTL12_DCI [get_ports modt]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports modt]
set_property PACKAGE_PIN U24 [get_ports mdm[0]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[0]]
set_property ODT RTT_40 [get_ports mdm[0]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[0]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[0]]
set_property SLEW FAST [get_ports mdm[0]]
set_property PACKAGE_PIN V22 [get_ports mdm[1]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[1]]
set_property ODT RTT_40 [get_ports mdm[1]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[1]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[1]]
set_property SLEW FAST [get_ports mdm[1]]
set_property PACKAGE_PIN P29 [get_ports mdm[2]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[2]]
set_property ODT RTT_40 [get_ports mdm[2]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[2]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[2]]
set_property SLEW FAST [get_ports mdm[2]]
set_property PACKAGE_PIN R27 [get_ports mdm[3]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[3]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[3]]
set_property ODT RTT_40 [get_ports mdm[3]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[3]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[3]]
set_property SLEW FAST [get_ports mdm[3]]
set_property PACKAGE_PIN AC28 [get_ports mdm[4]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[4]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[4]]
set_property ODT RTT_40 [get_ports mdm[4]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[4]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[4]]
set_property SLEW FAST [get_ports mdm[4]]
set_property PACKAGE_PIN AA30 [get_ports mdm[5]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[5]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[5]]
set_property ODT RTT_40 [get_ports mdm[5]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[5]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[5]]
set_property SLEW FAST [get_ports mdm[5]]
set_property PACKAGE_PIN AC23 [get_ports mdm[6]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[6]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[6]]
set_property ODT RTT_40 [get_ports mdm[6]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[6]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[6]]
set_property SLEW FAST [get_ports mdm[6]]
set_property PACKAGE_PIN Y25 [get_ports mdm[7]]
set_property IOSTANDARD POD12_DCI [get_ports mdm[7]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdm[7]]
set_property ODT RTT_40 [get_ports mdm[7]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdm[7]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdm[7]]
set_property SLEW FAST [get_ports mdm[7]]
set_property PACKAGE_PIN N24 [get_ports mdqsn[0]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[0]]
set_property ODT RTT_40 [get_ports mdqsn[0]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[0]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[0]]
set_property SLEW FAST [get_ports mdqsn[0]]
set_property PACKAGE_PIN N23 [get_ports mdqsp[0]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[0]]
set_property ODT RTT_40 [get_ports mdqsp[0]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[0]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[0]]
set_property SLEW FAST [get_ports mdqsp[0]]
set_property PACKAGE_PIN P21 [get_ports mdqsn[1]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[1]]
set_property ODT RTT_40 [get_ports mdqsn[1]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[1]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[1]]
set_property SLEW FAST [get_ports mdqsn[1]]
set_property PACKAGE_PIN P20 [get_ports mdqsp[1]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[1]]
set_property ODT RTT_40 [get_ports mdqsp[1]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[1]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[1]]
set_property SLEW FAST [get_ports mdqsp[1]]
set_property PACKAGE_PIN R30 [get_ports mdqsn[2]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[2]]
set_property ODT RTT_40 [get_ports mdqsn[2]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[2]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[2]]
set_property SLEW FAST [get_ports mdqsn[2]]
set_property PACKAGE_PIN T30 [get_ports mdqsp[2]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[2]]
set_property ODT RTT_40 [get_ports mdqsp[2]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[2]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[2]]
set_property SLEW FAST [get_ports mdqsp[2]]
set_property PACKAGE_PIN T27 [get_ports mdqsn[3]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[3]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[3]]
set_property ODT RTT_40 [get_ports mdqsn[3]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[3]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[3]]
set_property SLEW FAST [get_ports mdqsn[3]]
set_property PACKAGE_PIN U27 [get_ports mdqsp[3]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[3]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[3]]
set_property ODT RTT_40 [get_ports mdqsp[3]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[3]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[3]]
set_property SLEW FAST [get_ports mdqsp[3]]
set_property PACKAGE_PIN AE27 [get_ports mdqsn[4]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[4]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[4]]
set_property ODT RTT_40 [get_ports mdqsn[4]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[4]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[4]]
set_property SLEW FAST [get_ports mdqsn[4]]
set_property PACKAGE_PIN AE26 [get_ports mdqsp[4]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[4]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[4]]
set_property ODT RTT_40 [get_ports mdqsp[4]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[4]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[4]]
set_property SLEW FAST [get_ports mdqsp[4]]
set_property PACKAGE_PIN AB29 [get_ports mdqsn[5]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[5]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[5]]
set_property ODT RTT_40 [get_ports mdqsn[5]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[5]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[5]]
set_property SLEW FAST [get_ports mdqsn[5]]
set_property PACKAGE_PIN AA29 [get_ports mdqsp[5]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[5]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[5]]
set_property ODT RTT_40 [get_ports mdqsp[5]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[5]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[5]]
set_property SLEW FAST [get_ports mdqsp[5]]
set_property PACKAGE_PIN W24 [get_ports mdqsn[6]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[6]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[6]]
set_property ODT RTT_40 [get_ports mdqsn[6]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[6]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[6]]
set_property SLEW FAST [get_ports mdqsn[6]]
set_property PACKAGE_PIN W23 [get_ports mdqsp[6]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[6]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[6]]
set_property ODT RTT_40 [get_ports mdqsp[6]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[6]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[6]]
set_property SLEW FAST [get_ports mdqsp[6]]
set_property PACKAGE_PIN AD25 [get_ports mdqsn[7]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsn[7]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsn[7]]
set_property ODT RTT_40 [get_ports mdqsn[7]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsn[7]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsn[7]]
set_property SLEW FAST [get_ports mdqsn[7]]
set_property PACKAGE_PIN AD24 [get_ports mdqsp[7]]
set_property IOSTANDARD DIFF_POD12_DCI [get_ports mdqsp[7]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdqsp[7]]
set_property ODT RTT_40 [get_ports mdqsp[7]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdqsp[7]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdqsp[7]]
set_property SLEW FAST [get_ports mdqsp[7]]
set_property PACKAGE_PIN V24 [get_ports mdq[0]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[0]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[0]]
set_property ODT RTT_40 [get_ports mdq[0]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[0]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[0]]
set_property SLEW FAST [get_ports mdq[0]]
set_property PACKAGE_PIN P24 [get_ports mdq[1]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[1]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[1]]
set_property ODT RTT_40 [get_ports mdq[1]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[1]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[1]]
set_property SLEW FAST [get_ports mdq[1]]
set_property PACKAGE_PIN T23 [get_ports mdq[2]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[2]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[2]]
set_property ODT RTT_40 [get_ports mdq[2]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[2]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[2]]
set_property SLEW FAST [get_ports mdq[2]]
set_property PACKAGE_PIN R23 [get_ports mdq[3]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[3]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[3]]
set_property ODT RTT_40 [get_ports mdq[3]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[3]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[3]]
set_property SLEW FAST [get_ports mdq[3]]
set_property PACKAGE_PIN V23 [get_ports mdq[4]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[4]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[4]]
set_property ODT RTT_40 [get_ports mdq[4]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[4]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[4]]
set_property SLEW FAST [get_ports mdq[4]]
set_property PACKAGE_PIN P23 [get_ports mdq[5]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[5]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[5]]
set_property ODT RTT_40 [get_ports mdq[5]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[5]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[5]]
set_property SLEW FAST [get_ports mdq[5]]
set_property PACKAGE_PIN T24 [get_ports mdq[6]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[6]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[6]]
set_property ODT RTT_40 [get_ports mdq[6]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[6]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[6]]
set_property SLEW FAST [get_ports mdq[6]]
set_property PACKAGE_PIN T25 [get_ports mdq[7]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[7]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[7]]
set_property ODT RTT_40 [get_ports mdq[7]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[7]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[7]]
set_property SLEW FAST [get_ports mdq[7]]
set_property PACKAGE_PIN U20 [get_ports mdq[8]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[8]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[8]]
set_property ODT RTT_40 [get_ports mdq[8]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[8]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[8]]
set_property SLEW FAST [get_ports mdq[8]]
set_property PACKAGE_PIN N21 [get_ports mdq[9]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[9]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[9]]
set_property ODT RTT_40 [get_ports mdq[9]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[9]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[9]]
set_property SLEW FAST [get_ports mdq[9]]
set_property PACKAGE_PIN U21 [get_ports mdq[10]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[10]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[10]]
set_property ODT RTT_40 [get_ports mdq[10]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[10]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[10]]
set_property SLEW FAST [get_ports mdq[10]]
set_property PACKAGE_PIN R21 [get_ports mdq[11]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[11]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[11]]
set_property ODT RTT_40 [get_ports mdq[11]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[11]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[11]]
set_property SLEW FAST [get_ports mdq[11]]
set_property PACKAGE_PIN V21 [get_ports mdq[12]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[12]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[12]]
set_property ODT RTT_40 [get_ports mdq[12]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[12]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[12]]
set_property SLEW FAST [get_ports mdq[12]]
set_property PACKAGE_PIN N22 [get_ports mdq[13]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[13]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[13]]
set_property ODT RTT_40 [get_ports mdq[13]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[13]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[13]]
set_property SLEW FAST [get_ports mdq[13]]
set_property PACKAGE_PIN T20 [get_ports mdq[14]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[14]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[14]]
set_property ODT RTT_40 [get_ports mdq[14]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[14]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[14]]
set_property SLEW FAST [get_ports mdq[14]]
set_property PACKAGE_PIN R20 [get_ports mdq[15]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[15]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[15]]
set_property ODT RTT_40 [get_ports mdq[15]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[15]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[15]]
set_property SLEW FAST [get_ports mdq[15]]
set_property PACKAGE_PIN U30 [get_ports mdq[16]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[16]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[16]]
set_property ODT RTT_40 [get_ports mdq[16]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[16]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[16]]
set_property SLEW FAST [get_ports mdq[16]]
set_property PACKAGE_PIN N29 [get_ports mdq[17]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[17]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[17]]
set_property ODT RTT_40 [get_ports mdq[17]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[17]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[17]]
set_property SLEW FAST [get_ports mdq[17]]
set_property PACKAGE_PIN T29 [get_ports mdq[18]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[18]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[18]]
set_property ODT RTT_40 [get_ports mdq[18]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[18]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[18]]
set_property SLEW FAST [get_ports mdq[18]]
set_property PACKAGE_PIN N28 [get_ports mdq[19]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[19]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[19]]
set_property ODT RTT_40 [get_ports mdq[19]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[19]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[19]]
set_property SLEW FAST [get_ports mdq[19]]
set_property PACKAGE_PIN U29 [get_ports mdq[20]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[20]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[20]]
set_property ODT RTT_40 [get_ports mdq[20]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[20]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[20]]
set_property SLEW FAST [get_ports mdq[20]]
set_property PACKAGE_PIN M29 [get_ports mdq[21]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[21]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[21]]
set_property ODT RTT_40 [get_ports mdq[21]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[21]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[21]]
set_property SLEW FAST [get_ports mdq[21]]
set_property PACKAGE_PIN T28 [get_ports mdq[22]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[22]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[22]]
set_property ODT RTT_40 [get_ports mdq[22]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[22]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[22]]
set_property SLEW FAST [get_ports mdq[22]]
set_property PACKAGE_PIN P28 [get_ports mdq[23]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[23]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[23]]
set_property ODT RTT_40 [get_ports mdq[23]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[23]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[23]]
set_property SLEW FAST [get_ports mdq[23]]
set_property PACKAGE_PIN R26 [get_ports mdq[24]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[24]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[24]]
set_property ODT RTT_40 [get_ports mdq[24]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[24]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[24]]
set_property SLEW FAST [get_ports mdq[24]]
set_property PACKAGE_PIN N26 [get_ports mdq[25]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[25]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[25]]
set_property ODT RTT_40 [get_ports mdq[25]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[25]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[25]]
set_property SLEW FAST [get_ports mdq[25]]
set_property PACKAGE_PIN V27 [get_ports mdq[26]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[26]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[26]]
set_property ODT RTT_40 [get_ports mdq[26]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[26]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[26]]
set_property SLEW FAST [get_ports mdq[26]]
set_property PACKAGE_PIN P26 [get_ports mdq[27]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[27]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[27]]
set_property ODT RTT_40 [get_ports mdq[27]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[27]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[27]]
set_property SLEW FAST [get_ports mdq[27]]
set_property PACKAGE_PIN V28 [get_ports mdq[28]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[28]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[28]]
set_property ODT RTT_40 [get_ports mdq[28]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[28]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[28]]
set_property SLEW FAST [get_ports mdq[28]]
set_property PACKAGE_PIN N27 [get_ports mdq[29]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[29]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[29]]
set_property ODT RTT_40 [get_ports mdq[29]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[29]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[29]]
set_property SLEW FAST [get_ports mdq[29]]
set_property PACKAGE_PIN R25 [get_ports mdq[30]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[30]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[30]]
set_property ODT RTT_40 [get_ports mdq[30]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[30]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[30]]
set_property SLEW FAST [get_ports mdq[30]]
set_property PACKAGE_PIN P25 [get_ports mdq[31]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[31]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[31]]
set_property ODT RTT_40 [get_ports mdq[31]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[31]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[31]]
set_property SLEW FAST [get_ports mdq[31]]
set_property PACKAGE_PIN AF29 [get_ports mdq[32]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[32]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[32]]
set_property ODT RTT_40 [get_ports mdq[32]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[32]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[32]]
set_property SLEW FAST [get_ports mdq[32]]
set_property PACKAGE_PIN AC29 [get_ports mdq[33]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[33]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[33]]
set_property ODT RTT_40 [get_ports mdq[33]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[33]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[33]]
set_property SLEW FAST [get_ports mdq[33]]
set_property PACKAGE_PIN AE30 [get_ports mdq[34]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[34]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[34]]
set_property ODT RTT_40 [get_ports mdq[34]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[34]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[34]]
set_property SLEW FAST [get_ports mdq[34]]
set_property PACKAGE_PIN AC27 [get_ports mdq[35]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[35]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[35]]
set_property ODT RTT_40 [get_ports mdq[35]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[35]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[35]]
set_property SLEW FAST [get_ports mdq[35]]
set_property PACKAGE_PIN AF30 [get_ports mdq[36]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[36]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[36]]
set_property ODT RTT_40 [get_ports mdq[36]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[36]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[36]]
set_property SLEW FAST [get_ports mdq[36]]
set_property PACKAGE_PIN AB27 [get_ports mdq[37]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[37]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[37]]
set_property ODT RTT_40 [get_ports mdq[37]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[37]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[37]]
set_property SLEW FAST [get_ports mdq[37]]
set_property PACKAGE_PIN AD30 [get_ports mdq[38]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[38]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[38]]
set_property ODT RTT_40 [get_ports mdq[38]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[38]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[38]]
set_property SLEW FAST [get_ports mdq[38]]
set_property PACKAGE_PIN AD29 [get_ports mdq[39]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[39]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[39]]
set_property ODT RTT_40 [get_ports mdq[39]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[39]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[39]]
set_property SLEW FAST [get_ports mdq[39]]
set_property PACKAGE_PIN AA28 [get_ports mdq[40]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[40]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[40]]
set_property ODT RTT_40 [get_ports mdq[40]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[40]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[40]]
set_property SLEW FAST [get_ports mdq[40]]
set_property PACKAGE_PIN W29 [get_ports mdq[41]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[41]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[41]]
set_property ODT RTT_40 [get_ports mdq[41]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[41]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[41]]
set_property SLEW FAST [get_ports mdq[41]]
set_property PACKAGE_PIN Y28 [get_ports mdq[42]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[42]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[42]]
set_property ODT RTT_40 [get_ports mdq[42]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[42]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[42]]
set_property SLEW FAST [get_ports mdq[42]]
set_property PACKAGE_PIN W28 [get_ports mdq[43]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[43]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[43]]
set_property ODT RTT_40 [get_ports mdq[43]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[43]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[43]]
set_property SLEW FAST [get_ports mdq[43]]
set_property PACKAGE_PIN AA27 [get_ports mdq[44]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[44]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[44]]
set_property ODT RTT_40 [get_ports mdq[44]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[44]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[44]]
set_property SLEW FAST [get_ports mdq[44]]
set_property PACKAGE_PIN W30 [get_ports mdq[45]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[45]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[45]]
set_property ODT RTT_40 [get_ports mdq[45]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[45]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[45]]
set_property SLEW FAST [get_ports mdq[45]]
set_property PACKAGE_PIN Y30 [get_ports mdq[46]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[46]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[46]]
set_property ODT RTT_40 [get_ports mdq[46]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[46]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[46]]
set_property SLEW FAST [get_ports mdq[46]]
set_property PACKAGE_PIN Y27 [get_ports mdq[47]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[47]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[47]]
set_property ODT RTT_40 [get_ports mdq[47]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[47]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[47]]
set_property SLEW FAST [get_ports mdq[47]]
set_property PACKAGE_PIN AB22 [get_ports mdq[48]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[48]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[48]]
set_property ODT RTT_40 [get_ports mdq[48]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[48]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[48]]
set_property SLEW FAST [get_ports mdq[48]]
set_property PACKAGE_PIN Y21 [get_ports mdq[49]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[49]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[49]]
set_property ODT RTT_40 [get_ports mdq[49]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[49]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[49]]
set_property SLEW FAST [get_ports mdq[49]]
set_property PACKAGE_PIN AA23 [get_ports mdq[50]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[50]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[50]]
set_property ODT RTT_40 [get_ports mdq[50]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[50]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[50]]
set_property SLEW FAST [get_ports mdq[50]]
set_property PACKAGE_PIN Y22 [get_ports mdq[51]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[51]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[51]]
set_property ODT RTT_40 [get_ports mdq[51]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[51]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[51]]
set_property SLEW FAST [get_ports mdq[51]]
set_property PACKAGE_PIN AA22 [get_ports mdq[52]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[52]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[52]]
set_property ODT RTT_40 [get_ports mdq[52]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[52]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[52]]
set_property SLEW FAST [get_ports mdq[52]]
set_property PACKAGE_PIN W21 [get_ports mdq[53]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[53]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[53]]
set_property ODT RTT_40 [get_ports mdq[53]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[53]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[53]]
set_property SLEW FAST [get_ports mdq[53]]
set_property PACKAGE_PIN AA24 [get_ports mdq[54]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[54]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[54]]
set_property ODT RTT_40 [get_ports mdq[54]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[54]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[54]]
set_property SLEW FAST [get_ports mdq[54]]
set_property PACKAGE_PIN W20 [get_ports mdq[55]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[55]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[55]]
set_property ODT RTT_40 [get_ports mdq[55]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[55]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[55]]
set_property SLEW FAST [get_ports mdq[55]]
set_property PACKAGE_PIN AC26 [get_ports mdq[56]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[56]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[56]]
set_property ODT RTT_40 [get_ports mdq[56]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[56]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[56]]
set_property SLEW FAST [get_ports mdq[56]]
set_property PACKAGE_PIN W25 [get_ports mdq[57]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[57]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[57]]
set_property ODT RTT_40 [get_ports mdq[57]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[57]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[57]]
set_property SLEW FAST [get_ports mdq[57]]
set_property PACKAGE_PIN AB24 [get_ports mdq[58]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[58]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[58]]
set_property ODT RTT_40 [get_ports mdq[58]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[58]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[58]]
set_property SLEW FAST [get_ports mdq[58]]
set_property PACKAGE_PIN AA25 [get_ports mdq[59]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[59]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[59]]
set_property ODT RTT_40 [get_ports mdq[59]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[59]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[59]]
set_property SLEW FAST [get_ports mdq[59]]
set_property PACKAGE_PIN AC24 [get_ports mdq[60]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[60]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[60]]
set_property ODT RTT_40 [get_ports mdq[60]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[60]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[60]]
set_property SLEW FAST [get_ports mdq[60]]
set_property PACKAGE_PIN W26 [get_ports mdq[61]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[61]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[61]]
set_property ODT RTT_40 [get_ports mdq[61]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[61]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[61]]
set_property SLEW FAST [get_ports mdq[61]]
set_property PACKAGE_PIN AB25 [get_ports mdq[62]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[62]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[62]]
set_property ODT RTT_40 [get_ports mdq[62]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[62]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[62]]
set_property SLEW FAST [get_ports mdq[62]]
set_property PACKAGE_PIN AB26 [get_ports mdq[63]]
set_property IOSTANDARD POD12_DCI [get_ports mdq[63]]
set_property OUTPUT_IMPEDANCE RDRV_40_40 [get_ports mdq[63]]
set_property ODT RTT_40 [get_ports mdq[63]]
set_property EQUALIZATION EQ_LEVEL2 [get_ports mdq[63]]
set_property PRE_EMPHASIS RDRV_240 [get_ports mdq[63]]
set_property SLEW FAST [get_ports mdq[63]]
# Configuration switch
set_property PACKAGE_PIN AF17 [get_ports cfg[0]]
set_property IOSTANDARD LVCMOS25 [get_ports cfg[0]]
set_property PULLUP TRUE [get_ports cfg[0]]
set_property PACKAGE_PIN AF19 [get_ports cfg[1]]
set_property IOSTANDARD LVCMOS25 [get_ports cfg[1]]
set_property PULLUP TRUE [get_ports cfg[1]]
set_property PACKAGE_PIN AG19 [get_ports cfg[2]]
set_property IOSTANDARD LVCMOS25 [get_ports cfg[2]]
set_property PULLUP TRUE [get_ports cfg[2]]
set_property PACKAGE_PIN AF18 [get_ports cfg[3]]
set_property IOSTANDARD LVCMOS25 [get_ports cfg[3]]
set_property PULLUP TRUE [get_ports cfg[3]]
# FRAM chip
set_property PACKAGE_PIN AH14 [get_ports fram_scl]
set_property IOSTANDARD LVCMOS25 [get_ports fram_scl]
set_property PACKAGE_PIN AJ14 [get_ports fram_sda]
set_property IOSTANDARD LVCMOS25 [get_ports fram_sda]
# test port
set_property PACKAGE_PIN AH16 [get_ports tp[0]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[0]]
set_property PACKAGE_PIN AH17 [get_ports tp[1]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[1]]
set_property PACKAGE_PIN AH18 [get_ports tp[2]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[2]]
set_property PACKAGE_PIN AH19 [get_ports tp[3]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[3]]
# actually 10-13 on schematic
set_property PACKAGE_PIN AD14 [get_ports tp[4]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[4]]
set_property PACKAGE_PIN AC14 [get_ports tp[5]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[5]]
set_property PACKAGE_PIN AA15 [get_ports tp[6]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[6]]
set_property PACKAGE_PIN AA14 [get_ports tp[7]]
set_property IOSTANDARD LVCMOS25 [get_ports tp[7]]
# Status LEDs
set_property PACKAGE_PIN AC9 [get_ports led_grn]
set_property IOSTANDARD LVCMOS25 [get_ports led_grn]
set_property PACKAGE_PIN AB12 [get_ports led_red]
set_property IOSTANDARD LVCMOS25 [get_ports led_red]
set_property PACKAGE_PIN AK30 [get_ports tsense]
set_property IOSTANDARD LVCMOS18 [get_ports tsense]
create_pblock AG_dmappc
add_cells_to_pblock [get_pblocks AG_dmappc] [get_cells -quiet [list ppc]]
create_pblock AG_dmappc
add_cells_to_pblock [get_pblocks AG_dmappc] [get_cells -quiet [list dmac]]
resize_pblock [get_pblocks AG_dmappc] -add {CLOCKREGION_X2Y2:CLOCKREGION_X2Y2}
create_pblock AG_mb
add_cells_to_pblock [get_pblocks AG_mb] [get_cells -quiet [list mb]]
resize_pblock [get_pblocks AG_mb] -add {SLICE_X0Y120:SLICE_X33Y179}
resize_pblock [get_pblocks AG_mb] -add {RAMB36_X0Y24:RAMB36_X3Y35}
create_pblock AG_mbcnt
add_cells_to_pblock [get_pblocks AG_mbcnt] [get_cells -quiet [list mb/cnt]]
resize_pblock [get_pblocks AG_mbcnt] -add {SLICE_X28Y142:SLICE_X29Y163}
create_pblock AG_mbasync
add_cells_to_pblock [get_pblocks AG_mbasync] [get_cells -quiet [list mb/cnt/pslot]]
create_pblock AG_mbasync
add_cells_to_pblock [get_pblocks AG_mbasync] [get_cells -quiet [list mb/cnt/qslot]]
resize_pblock [get_pblocks AG_mbasync] -add {SLICE_X28Y150:SLICE_X29Y157}
create_pblock AG_riop
add_cells_to_pblock [get_pblocks AG_riop] [get_cells -quiet [list hi]]
create_pblock AG_riop
add_cells_to_pblock [get_pblocks AG_riop] [get_cells -quiet [list ho]]
create_pblock AG_riop
add_cells_to_pblock [get_pblocks AG_riop] [get_cells -quiet [list riop]]
resize_pblock [get_pblocks AG_riop] -add {SLICE_X76Y120:SLICE_X100Y179}
resize_pblock [get_pblocks AG_riop] -add {SLICE_X97Y0:SLICE_X100Y119}
create_pblock AG_cores1
add_cells_to_pblock [get_pblocks AG_cores1] [get_cells -quiet [list core1]]
create_pblock AG_cores2
add_cells_to_pblock [get_pblocks AG_cores2] [get_cells -quiet [list core2]]
create_pblock AG_cores1
add_cells_to_pblock [get_pblocks AG_cores1] [get_cells -quiet [list mcore1]]
create_pblock AG_cores2
add_cells_to_pblock [get_pblocks AG_cores2] [get_cells -quiet [list mcore2]]
resize_pblock [get_pblocks AG_cores1] -add {CLOCKREGION_X0Y3:CLOCKREGION_X3Y4}
resize_pblock [get_pblocks AG_cores2] -add {CLOCKREGION_X0Y0:CLOCKREGION_X3Y1}
set rxclk GTHE3_CHANNEL_RXOUTCLK[0]
set txclk GTHE3_CHANNEL_TXOUTCLK[0]
# Clock domain decouplers
set_false_path -from [get_clocks qclkp] -to [get_clocks drck1]
set_false_path -from [get_clocks qclkp] -to [get_clocks drck2]
set_false_path -from [get_clocks qclkp] -to [get_clocks gclks]
set_false_path -from [get_clocks qclkp] -to [get_clocks gclkx]
set_false_path -from [get_clocks qclkp] -to [get_clocks gclky]
set_false_path -from [get_clocks qclkp] -to [get_clocks gclkf]
set_false_path -from [get_clocks drck1] -to [get_clocks qclkp]
set_false_path -from [get_clocks drck1] -to [get_clocks gclks]
set_false_path -from [get_clocks drck1] -to [get_clocks gclkx]
set_false_path -from [get_clocks drck2] -to [get_clocks qclkp]
set_false_path -from [get_clocks drck2] -to [get_clocks gclks]
set_false_path -from [get_clocks drck2] -to [get_clocks gclkx]
set_false_path -from [get_clocks drck2] -to [get_clocks gclky]
set_false_path -from [get_clocks gclks] -to [get_clocks mmcm_clkout0]
set_false_path -from [get_clocks gclks] -to [get_clocks qclkp]
set_false_path -from [get_clocks gclks] -to [get_clocks gclkf]
set_false_path -from [get_clocks gclks] -to [get_clocks gclkv]
set_false_path -from [get_clocks gclks] -to [get_clocks gclkx]
set_false_path -from [get_clocks gclks] -to [get_clocks gclky]
set_false_path -from [get_clocks gclks] -to [get_clocks drck2]
set_false_path -from [get_clocks gclks] -to [get_clocks $txclk]
set_false_path -from [get_clocks gclks] -to [get_clocks $rxclk]
set_false_path -from [get_clocks gclkx] -to [get_clocks mmcm_clkout0]
set_false_path -from [get_clocks gclkx] -to [get_clocks qclkp]
set_false_path -from [get_clocks gclkx] -to [get_clocks gclkf]
set_false_path -from [get_clocks gclkx] -to [get_clocks gclkv]
set_false_path -from [get_clocks gclkx] -to [get_clocks gclks]
set_false_path -from [get_clocks gclkx] -to [get_clocks gclky]
set_false_path -from [get_clocks gclkx] -to [get_clocks drck2]
set_false_path -from [get_clocks gclkx] -to [get_clocks $txclk]
set_false_path -from [get_clocks gclkx] -to [get_clocks $rxclk]
set_false_path -from [get_clocks mmcm_clkout0] -to [get_clocks cclkp]
set_false_path -from [get_clocks mmcm_clkout0] -to [get_clocks qclkp]
set_false_path -from [get_clocks mmcm_clkout0] -to [get_clocks gclkx]
set_false_path -from [get_clocks mmcm_clkout0] -to [get_clocks gclks]
set_false_path -from [get_clocks gclkf] -to [get_clocks gclks]
set_false_path -from [get_clocks gclkf] -to [get_clocks gclkx]
set_false_path -from [get_clocks gclkf] -to [get_clocks gclky]
set_false_path -from [get_clocks gclkf] -to [get_clocks qclkp]
set_false_path -from [get_clocks gclky] -to [get_clocks gclks]
set_false_path -from [get_clocks gclky] -to [get_clocks gclkx]
set_false_path -from [get_clocks gclky] -to [get_clocks gclkf]
set_false_path -from [get_clocks gclkv] -to [get_clocks gclks]
set_false_path -from [get_clocks gclkv] -to [get_clocks gclkx]
set_false_path -from [get_clocks $txclk] -to [get_clocks gclks]
set_false_path -from [get_clocks $txclk] -to [get_clocks gclkx]
set_false_path -from [get_clocks $rxclk] -to [get_clocks gclks]
set_false_path -from [get_clocks $rxclk] -to [get_clocks gclkx]
set_false_path -from [get_clocks cclkp] -to [get_clocks mmcm_clkout0]
set_false_path -from [get_clocks cclkp] -to [get_clocks mmcm_clkout6]
